## nyquist 3.12+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)

# if this is OS X, use an old SDK for backward compatibility
set(CMAKE_OSX_SYSROOT
/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk
CACHE STRING "SDK for OSX")

set(MACOSX_DEPLOYMENT_TARGET 10.7 CACHE STRING "minimum OS X target version")

project(nyquist)

###########
# OPTIONS #
###########

option(USE_SOURCE_LIBS "Enabling this will disable searching for system installed libraries and instead use source-compiled versions" ON)

if(WIN32)
  add_definitions("-D_CRT_SECURE_NO_WARNINGS -D_WINSOCK_DEPRECATED_NO_WARNINGS")
endif(WIN32)

################
# DEPENDENCIES #
################

if(USE_SOURCE_LIBS)

# sndfile
set(ogg_SRCS
   libogg/src/bitwise.c
   libogg/src/framing.c)

add_library(ogg_static STATIC ${ogg_SRCS})
if(WIN32)
  set_target_properties(ogg_static PROPERTIES COMPILE_FLAGS
                        "-DWIN32 -D_WINDOWS")
endif(WIN32)

set_property(TARGET ogg_static 
PROPERTY INCLUDE_DIRECTORIES
${CMAKE_CURRENT_SOURCE_DIR}/libogg/include)

set(vorbis_SRCS
libvorbis/lib/mdct.c
libvorbis/lib/smallft.c
libvorbis/lib/block.c
libvorbis/lib/envelope.c
libvorbis/lib/window.c
libvorbis/lib/lsp.c
libvorbis/lib/lpc.c
libvorbis/lib/analysis.c
libvorbis/lib/synthesis.c
libvorbis/lib/psy.c
libvorbis/lib/info.c
libvorbis/lib/floor1.c
libvorbis/lib/floor0.c
libvorbis/lib/res0.c
libvorbis/lib/mapping0.c
libvorbis/lib/registry.c
libvorbis/lib/codebook.c
libvorbis/lib/sharedbook.c
libvorbis/lib/lookup.c
libvorbis/lib/bitrate.c
)

add_library(vorbis_static STATIC ${vorbis_SRCS})
target_include_directories(vorbis_static PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/include 
    ${CMAKE_CURRENT_SOURCE_DIR}/libogg/include)

set(vorbisenc_SRCS
libvorbis/lib/vorbisenc.c)
add_library(vorbisenc_static STATIC ${vorbisenc_SRCS})
target_include_directories(vorbisenc_static PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/include 
    ${CMAKE_CURRENT_SOURCE_DIR}/libogg/include 
    ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/lib)

set(vorbisfile_SRCS
libvorbis/lib/vorbisfile.c)
add_library(vorbisfile_static STATIC ${vorbisfile_SRCS})
target_include_directories(vorbisfile_static PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/include 
    ${CMAKE_CURRENT_SOURCE_DIR}/libogg/include 
    ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/lib)

set(flac_SRCS
  FLAC/src/libFLAC/bitmath.c
  FLAC/src/libFLAC/bitreader.c
  FLAC/src/libFLAC/bitwriter.c
  FLAC/src/libFLAC/cpu.c
  FLAC/src/libFLAC/crc.c
  FLAC/src/libFLAC/fixed.c
  FLAC/src/libFLAC/float.c
  FLAC/src/libFLAC/format.c
#  FLAC/src/libFLAC/ia32/bitreader_asm.nasm
  FLAC/src/libFLAC/ia32/cpu_asm.nasm
  FLAC/src/libFLAC/ia32/fixed_asm.nasm
  FLAC/src/libFLAC/ia32/lpc_asm.nasm
#  FLAC/src/libFLAC/ia32/stream_encoder_asm.nasm
  FLAC/src/libFLAC/lpc.c
  FLAC/src/libFLAC/md5.c
  FLAC/src/libFLAC/memory.c
  FLAC/src/libFLAC/metadata_iterators.c
  FLAC/src/libFLAC/metadata_object.c
  FLAC/src/libFLAC/ogg_decoder_aspect.c
  FLAC/src/libFLAC/ogg_encoder_aspect.c
  FLAC/src/libFLAC/ogg_helper.c
  FLAC/src/libFLAC/ogg_mapping.c
  FLAC/src/libFLAC/stream_decoder.c
  FLAC/src/libFLAC/stream_encoder_framing.c
  FLAC/src/libFLAC/stream_encoder.c
  FLAC/src/libFLAC/window.c)

add_library(flac_static STATIC ${flac_SRCS})
# There's a problem with quotes in XCode, so we need a special case
if(APPLE)
  set_target_properties(flac_static PROPERTIES COMPILE_FLAGS
                        "-DVERSION=\\\"1.3.1\\\" -DHAVE_LROUND") 
else(APPLE)
  if(WIN32)
    set_target_properties(flac_static PROPERTIES COMPILE_FLAGS
        "-DVERSION=\\\"1.3.1\\\" -DFLAC__NO_DLL -DFLAC__HAS_OGG -DFLAC__CPU_IA32 -DFLAC__USE_3DNOW -DWIN32 -DFLAC__OVERFLOW_DETECT -D_LIB")
  else(WIN32)
    # also, Linux needs to get SIZE_MAX from stdint.h
    set_target_properties(flac_static PROPERTIES COMPILE_FLAGS
              "-DVERSION=\\\"1.3.1\\\" -DHAVE_LROUND -DHAVE_STDINT_H") 
  endif(WIN32)
endif(APPLE)
target_include_directories(flac_static PRIVATE
  ${CMAKE_CURRENT_SOURCE_DIR}/FLAC/src/libFLAC/include/ 
  ${CMAKE_CURRENT_SOURCE_DIR}/FLAC/include/ 
  ${CMAKE_CURRENT_SOURCE_DIR}/libogg/include 
  ${CMAKE_CURRENT_SOURCE_DIR}/FLAC/src/libFLAC/ia32)

set(sndfile_SRCS
  nylsf/ima_oki_adpcm.c
  nylsf/interleave.c
  nylsf/id3.c
  nylsf/audio_detect.c
  nylsf/chanmap.c
  nylsf/sndfile.c
  nylsf/common.c
  nylsf/file_io.c
  nylsf/aiff.c
  nylsf/alaw.c
  nylsf/au.c
  nylsf/avr.c
  nylsf/broadcast.c
  nylsf/caf.c
  nylsf/dither.c
  nylsf/double64.c
  nylsf/dwd.c
  nylsf/flac.c
  nylsf/float32.c
  nylsf/htk.c
  nylsf/mat4.c
  nylsf/mat5.c
  nylsf/nist.c
  nylsf/ogg.c
  nylsf/paf.c
  nylsf/pcm.c
  nylsf/pvf.c
  nylsf/raw.c
  nylsf/rx2.c
  nylsf/sd2.c
  nylsf/sds.c
  nylsf/ircam.c
  nylsf/dwvw.c
  nylsf/vox_adpcm.c
  nylsf/w64.c
  nylsf/wav_w64.c
  nylsf/wav.c
  nylsf/wve.c
  nylsf/xi.c
  nylsf/command.c
  nylsf/strings.c
  nylsf/svx.c
  nylsf/ima_adpcm.c
  nylsf/txw.c
  nylsf/ulaw.c
  nylsf/voc.c
  nylsf/ms_adpcm.c
  nylsf/g72x.c
  nylsf/gsm610.c
  nylsf/G72x/g72x.c
  nylsf/GSM610/gsm_create.c
  nylsf/GSM610/gsm_decode.c
  nylsf/GSM610/gsm_destroy.c
  nylsf/GSM610/gsm_encode.c
  nylsf/GSM610/code.c
  nylsf/GSM610/decode.c
  nylsf/GSM610/gsm_option.c
  nylsf/G72x/g721.c
  nylsf/G72x/g723_16.c
  nylsf/G72x/g723_24.c
  nylsf/G72x/g723_40.c
  nylsf/GSM610/long_term.c
  nylsf/GSM610/lpc.c
  nylsf/GSM610/preprocess.c
  nylsf/GSM610/rpe.c
  nylsf/GSM610/short_term.c
  nylsf/GSM610/table.c
  nylsf/GSM610/add.c
  nylsf/mpc2k.c
  nylsf/chunk.c
  nylsf/G72x/g721.c
  nylsf/G72x/g723_16.c
  nylsf/G72x/g723_24.c
  nylsf/G72x/g723_40.c
  nylsf/G72x/g72x.c
#  nylsf/G72x/g72x_test.c
  nylsf/GSM610/add.c
  nylsf/GSM610/code.c
  nylsf/GSM610/decode.c
  nylsf/GSM610/gsm_create.c
  nylsf/GSM610/gsm_decode.c
  nylsf/GSM610/gsm_destroy.c
  nylsf/GSM610/gsm_encode.c
  nylsf/GSM610/gsm_option.c
  nylsf/GSM610/long_term.c
  nylsf/GSM610/lpc.c
  nylsf/GSM610/preprocess.c
  nylsf/GSM610/rpe.c
  nylsf/GSM610/short_term.c
  nylsf/GSM610/table.c
  nylsf/macbinary3.c
  nylsf/macos.c
  nylsf/ogg_pcm.c
  nylsf/ogg_speex.c
  nylsf/ogg_vorbis.c
  nylsf/rf64.c
  )

add_library(sndfile_static STATIC ${sndfile_SRCS})

if(WIN32)
  set_target_properties(sndfile_static PROPERTIES COMPILE_FLAGS
              "-DOS_IS_WIN32=1")
  set(EXTRA_SNDFILE_INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/sys/win/msvc)
else(WIN32)
  set(EXTRA_SNDFILE_INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/sys/unix)
endif(WIN32)


target_include_directories(sndfile_static PRIVATE
  ${CMAKE_CURRENT_SOURCE_DIR}/nylsf
  ${CMAKE_CURRENT_SOURCE_DIR}/FLAC/include 
  ${CMAKE_CURRENT_SOURCE_DIR}/libogg/include 
  ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/include
  ${CMAKE_CURRENT_SOURCE_DIR}/cmt
  ${EXTRA_SNDFILE_INCLUDE})

# portaudio
set(portaudio_SRCS 
  portaudio/src/common/pa_ringbuffer.c
  portaudio/src/common/pa_ringbuffer.h
  portaudio/src/hostapi/skeleton/pa_hostapi_skeleton.c
  portaudio/include/portaudio.h
  portaudio/src/common/pa_allocation.h
  portaudio/src/common/pa_converters.c
  portaudio/src/common/pa_converters.h
  portaudio/src/common/pa_cpuload.c
  portaudio/src/common/pa_cpuload.h
  portaudio/src/common/pa_debugprint.c
  portaudio/src/common/pa_debugprint.h
  portaudio/src/common/pa_dither.c
  portaudio/src/common/pa_dither.h
  portaudio/src/common/pa_endianness.h
  portaudio/src/common/pa_front.c
  portaudio/src/common/pa_hostapi.h
  portaudio/src/common/pa_process.c
  portaudio/src/common/pa_process.h
  portaudio/src/common/pa_stream.c
  portaudio/src/common/pa_stream.h
  portaudio/src/common/pa_trace.c
  portaudio/src/common/pa_trace.h
  portaudio/src/common/pa_types.h
  portaudio/src/common/pa_util.h
  portaudio/src/common/pa_allocation.c
  portaudio/include/pa_jack.h
#  portaudio/src/common/pa_skeleton.c
  )
if(UNIX)
  set(portaudio_SRCS ${portaudio_SRCS}
      portaudio/src/os/unix/pa_unix_util.c
      portaudio/src/os/unix/pa_unix_util.h
      portaudio/src/os/unix/pa_unix_hostapis.c
      portaudio/src/os/unix/pa_unix_util.c)
  if(APPLE)
    set(portaudio_mac_SRCS 
#     correct hostapis seesm to be in pa_unix_hostapis.c
#      portaudio/src/os/mac_osx/pa_mac_hostapis.c 
      portaudio/include/pa_mac_core.h
      portaudio/src/hostapi/coreaudio/pa_mac_core_utilities.c
      portaudio/src/hostapi/coreaudio/pa_mac_core_utilities.h
      portaudio/src/hostapi/coreaudio/pa_mac_core_blocking.c
      portaudio/src/hostapi/coreaudio/pa_mac_core_blocking.h
      portaudio/src/hostapi/coreaudio/pa_mac_core_internal.h
      portaudio/src/hostapi/coreaudio/pa_mac_core.c)
    set(portaudio_SRCS ${portaudio_SRCS} ${portaudio_mac_SRCS})
  else(APPLE)
    # Linux
    set(portaudio_linux_SRCS 
      portaudio/src/hostapi/alsa/pa_linux_alsa.c
      portaudio/src/hostapi/oss/pa_unix_oss.c)
    set(portaudio_SRCS ${portaudio_SRCS} ${portaudio_linux_SRCS})
  endif(APPLE)
else(UNIX)
  #WIN32
  set(portaudio_SRCS ${portaudio_SRCS} 
      portaudio/src/os/win/pa_win_hostapis.c
      portaudio/src/os/win/pa_win_util.c
      portaudio/src/os/win/pa_win_coinitialize.c
      portaudio/src/os/win/pa_win_coinitialize.h
      portaudio/src/os/win/pa_win_waveformat.c
      portaudio/src/os/win/pa_x86_plain_converters.c
      portaudio/src/os/win/pa_x86_plain_converters.h
      portaudio/src/hostapi/wasapi/pa_win_wasapi.c
      portaudio/src/hostapi/wmme/pa_win_wmme.c)

  # release will use static runtime library
  foreach(flag_var CMAKE_CXX_FLAGS_RELEASE CMAKE_C_FLAGS_RELEASE)
    if(${flag_var} MATCHES "/MD")
      string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
    endif(${flag_var} MATCHES "/MD")
  endforeach(flag_var)
  message(STATUS 
    "Note: overriding CMAKE_*_FLAGS_* to use Visual C static multithread library")
  set(VERBOSE_WARNINGS 0 CACHE BOOL "Do not use _CRT_SECURE_NO_WARNINGS to disable suggestions to use 'secure' versions of strcpy, etc.")
  if(NOT VERBOSE_WARNINGS)
    list(APPEND COMMON_DEFINITIONS "_CRT_SECURE_NO_WARNINGS")
  endif(NOT VERBOSE_WARNINGS)
endif(UNIX)

add_library(portaudio_static STATIC ${portaudio_SRCS})
target_include_directories(portaudio_static PRIVATE
  PROPERTY INCLUDE_DIRECTORIES
  ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/include 
  ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/src/common)

if(UNIX)
  target_include_directories(portaudio_static PRIVATE
          PROPERTY INCLUDE_DIRECTORIES
          ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/src/os/unix)
if(APPLE)
else(APPLE)
    # Linux
    set(USE_ALSA 1 CACHE BOOL "Use ALSA audio rather than OSS")
    
    if(USE_ALSA)
      set(ALSA_FLAGS "-DPA_USE_ALSA=1")
    else(USE_ALSA)
      set(ALSA_FLAGS "")
    endif(USE_ALSA)
    set_target_properties(portaudio_static PROPERTIES COMPILE_FLAGS 
      "-DPA_USE_OSS=1 -DHAVE_LINUX_SOUNDCARD_H ${ALSA_FLAGS}")
endif(APPLE)
else(UNIX)
    # Windows
    set_target_properties(portaudio_static PROPERTIES COMPILE_FLAGS 
            "-DPA_USE_WMME=1 -DPA_USE_WASAPI=1")
    target_include_directories(portaudio_static PRIVATE
            PROPERTY INCLUDE_DIRECTORIES 
            ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/src/os/win)
endif(UNIX)

## portaudio
set(PORTAUDIO_INCLUDE_PATH ../portaudio/include)
set(PORTAUDIO_LIBRARY portaudio_static)
include_directories(${PORTAUDIO_INCLUDE_PATH})
##


# liblo

set(liblo_SRCS
  liblo/src/send.c
  liblo/src/server.c
  liblo/src/address.c
  liblo/src/blob.c
  liblo/src/bundle.c
  liblo/src/message.c
  liblo/src/method.c
  liblo/src/pattern_match.c
  liblo/src/timetag.c
  )

add_library(lo_static STATIC ${liblo_SRCS})
if(UNIX) # including OS X...
set(LIBLO_EXTRA_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/liblo/osx)
set_target_properties(lo_static PROPERTIES COMPILE_FLAGS -DHAVE_CONFIG_H)
else(UNIX)
set_target_properties(lo_static PROPERTIES COMPILE_FLAGS 
    "-DPACKAGE_NAME=\\\"liblo\\\" -DHAVE_SELECT -DPRINTF_LL=\\\"ll\\\"")
endif(UNIX)

target_include_directories(lo_static PRIVATE 
  ${CMAKE_CURRENT_SOURCE_DIR}/liblo 
  ${CMAKE_CURRENT_SOURCE_DIR}/liblo/src 
  ${LIBLO_EXTRA_INCLUDES})

else(USE_SOURCE_LIBS)

# sndfile
find_library(LIBSNDFILE_LIBRARY sndfile)
