=== debian/changelog ===
nyquist (3.12+ds-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Steve Robbins ]
  * [b81e475] Ignore .class and other built files.
  * [f310c7a] Ignore dir .pc
  * [66542a8] Specify copyright format so can exclude upstream files.
  * [935a61f] Build using -fcommon to support use of GCC 10.  Closes: #957621.

 -- Steve M. Robbins <smr@debian.org>  Sat, 01 Aug 2020 14:08:45 -0500

nyquist (3.12+ds-3) unstable; urgency=medium

  * Modify default-jdk build-dep to be >= 2:1.8~, since the code won't
    build with Java 1.5.  Closes: #884473.
  * patches/fix-build-warnings.patch: New.  Contains several source fixes to
    silence warnings.
  * patches/dont-include-asm-ioctls.patch: New.  Don't include
    <asm/ioctl.h> Closes: #884474.

 -- Steve M. Robbins <smr@debian.org>  Sat, 23 Dec 2017 23:42:24 -0600

nyquist (3.12+ds-2) unstable; urgency=medium

  * Add build-dep for chrpath.

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Dec 2017 15:36:44 -0600

nyquist (3.12+ds-1) unstable; urgency=medium

  * New upstream.  Closes: #791953
    - repack sources, omitting embedded sources.  Closes: #705590
    - no longer uses automake, dropping dependencies.  Closes: #865197
    - builds with gcc 7.  Closes: #878318
    - number format bug fixed upstream.  Closes: #730998
  * Drop patches: makefile.patch, use-system-sndfile.patch,
    use-system-liblo.patch, use-system-portadio.patch,
    fix-term-includes.patch

 -- Steve M. Robbins <smr@debian.org>  Sun, 10 Dec 2017 23:42:23 -0600

nyquist (3.05-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jonathan Dowland ]
  * Update Vcs-Browser URL.  Closes: #705588

  [ Andy Whitcroft ]
  * Add patch to fix FTBFS on i386 due to overlapping use of strcpy().
    Closes: #705948

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 Apr 2017 19:57:10 +0200
