=== debian/control ===
Source: nyquist
Homepage: http://www.cs.cmu.edu/~music/nyquist/
Section: sound
Priority: optional
Maintainer: Steve M. Robbins <smr@debian.org>
Build-Depends: cmake (>= 2.8.8), debhelper (>= 10), chrpath, javahelper, default-jdk (>= 2:1.8~), libsndfile1-dev, liblo-dev, portaudio19-dev
Vcs-Browser: https://salsa.debian.org/debian/nyquist
Standards-Version: 4.1.2
Vcs-Git: https://salsa.debian.org/debian/nyquist.git

Package: nyquist
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: language for music composition and sound synthesis
 Unlike score languages that tend to deal only with events, or signal
 processing languages that tend to deal only with signals and synthesis,
 Nyquist handles both in a single integrated system. Nyquist is also flexible
 and easy to use because it is based on an interactive Lisp interpreter
 (XLISP).
 .
 With Nyquist, you can design instruments by combining functions (much as you
 would using the orchestra languages of Music V, cmusic, or Csound). You can
 call upon these instruments and generate a sound just by typing a simple
 expression. You can combine simple expressions into complex ones to create a
 whole composition.
