## nyquist 3.20+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 2.8.8)
+cmake_minimum_required(VERSION 2.8.12)
 
 # if this is OS X, use an old SDK for backward compatibility
-set(CMAKE_OSX_SYSROOT
-/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk
-CACHE STRING "SDK for OSX")
+# set(CMAKE_OSX_SYSROOT
+# /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk
+# CACHE STRING "SDK for OSX")
 
 set(MACOSX_DEPLOYMENT_TARGET 10.7 CACHE STRING "minimum OS X target version")
 
@@ -33,7 +33,7 @@
 add_library(ogg_static STATIC ${ogg_SRCS})
 if(WIN32)
   set_target_properties(ogg_static PROPERTIES COMPILE_FLAGS
-                        "-DWIN32 -D_WINDOWS")
+                        "-DWIN32 -D_WINDOWS /wd4068")
 endif(WIN32)
 
 set_property(TARGET ogg_static 
@@ -403,5 +403,3 @@
 else(USE_SOURCE_LIBS)
 
 # sndfile
-find_library(LIBSNDFILE_LIBRARY sndfile)
-
