=== debian/changelog ===
nyquist (3.20+ds-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [82025b6] Replace fix-build-warnings.patch with updated patches.
  * [3303d0c] Set the sound file dir rather than messing with working dir.

 -- Steve M. Robbins <smr@debian.org>  Sat, 22 Oct 2022 22:59:37 -0500

nyquist (3.20+ds-1) unstable; urgency=medium

  [ Steve Robbins ]
  * New upstream version 3.15+ds
  * Specify copyright format so can exclude upstream files.
  * refresh patches
  * Remove patch remove-corba-reference.diff - fixed upstream.
  * Install demos subdir.
  * New patch to search for debian nyquist dir /usr/lib/nyquist
  * jny: Do not change working directory when starting Nyquist IDE.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Steve M. Robbins ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)

  [ Steve Robbins ]
  * [d902cad] rebase patches
  * [e31bb9b] New upstream version 3.20+ds
  * [a453cc7] rebase patches

 -- Steve M. Robbins <smr@debian.org>  Mon, 17 Oct 2022 23:16:12 -0500
