=== debian/control ===
--- 
+++ 
@@ -1,16 +1,25 @@
 Source: nyquist
-Homepage: http://www.cs.cmu.edu/~music/nyquist/
+Maintainer: Steve M. Robbins <smr@debian.org>
 Section: sound
 Priority: optional
-Maintainer: Steve M. Robbins <smr@debian.org>
-Build-Depends: cmake (>= 2.8.8), debhelper (>= 10), chrpath, javahelper, default-jdk (>= 2:1.8~), libsndfile1-dev, liblo-dev, portaudio19-dev
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               javahelper,
+               default-jdk,
+               chrpath,
+               libsndfile1-dev,
+               liblo-dev,
+               portaudio19-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/nyquist
-Standards-Version: 4.1.2
 Vcs-Git: https://salsa.debian.org/debian/nyquist.git
+Homepage: http://www.cs.cmu.edu/~music/nyquist/
+Rules-Requires-Root: no
 
 Package: nyquist
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: language for music composition and sound synthesis
  Unlike score languages that tend to deal only with events, or signal
  processing languages that tend to deal only with signals and synthesis,
