## nyquist 3.22%2Bds

=== debian/changelog ===
nyquist (3.22+ds-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [8ee52b5] Update patches.  Fix gcc-13 build by not re-defining intptr_t.
    Closes: #1037794.
  * [fe54836] Reformat copyright to be machine readable.

 -- Steve M. Robbins <smr@debian.org>  Wed, 05 Jul 2023 22:59:34 -0500

nyquist (3.22+ds-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [f376e1f] New upstream version 3.22+ds
  * [44eb886] Update patch set.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Jun 2023 00:12:19 -0500
