## nyquist 3.23+ds

=== debian/changelog ===
nyquist (3.23+ds-1) unstable; urgency=medium

  [ Steve M. Robbins ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * [54208cb] Use secure URI in Homepage field.
  * [690f60a] Fix function signature.  Closes: #1075328

 -- Steve M. Robbins <smr@debian.org>  Wed, 24 Jul 2024 20:17:08 -0500
