=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                libsndfile1-dev,
                liblo-dev,
                portaudio19-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/nyquist
 Vcs-Git: https://salsa.debian.org/debian/nyquist.git
-Homepage: http://www.cs.cmu.edu/~music/nyquist/
+Homepage: https://www.cs.cmu.edu/~music/nyquist/
 Rules-Requires-Root: no
 
 Package: nyquist
