## nyquist 3.24+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.27)
 
 # if this is OS X, use an old SDK for backward compatibility
 # set(CMAKE_OSX_SYSROOT
 # /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk
 # CACHE STRING "SDK for OSX")
 
-set(MACOSX_DEPLOYMENT_TARGET 10.7 CACHE STRING "minimum OS X target version")
+set(MACOSX_DEPLOYMENT_TARGET 10.15 CACHE STRING "minimum OS X target version")
 
 project(nyquist)
