=== macosxproject/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
PROJECT(nyquist)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
add_subdirectory(.. build)
