=== debian/changelog ===
nyquist (3.24+ds-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [e81b287] Fixes to build with C23.  Closes: #1097486

 -- Steve M. Robbins <smr@debian.org>  Thu, 11 Sep 2025 01:24:12 -0500

nyquist (3.24+ds-1) unstable; urgency=medium

  [ Steve M. Robbins ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * [06e9e50] rebase patches

 -- Steve M. Robbins <smr@debian.org>  Thu, 14 Aug 2025 23:29:27 -0500
