=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libsndfile1-dev,
                liblo-dev,
                portaudio19-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/nyquist
 Vcs-Git: https://salsa.debian.org/debian/nyquist.git
 Homepage: https://www.cs.cmu.edu/~music/nyquist/
