=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_SOURCE_LIBS=OFF

override_dh_install:
	dh_install
	chmod -x debian/nyquist/usr/share/nyquist/lib/*.lsp
	chrpath -d debian/nyquist/usr/lib/nyquist/ny
