=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds \
  http://qa.debian.org/watch/sf.php/nyquist/ nyqsrc(\d)(.+).zip
